svg {
    position: fixed;
    top: 0;
    left: 0;
    width: 100vw;
    height: 100vh;
    z-index: -1;
}

.line {
    stroke: rgb(0, 142, 230, 0.6);
    stroke-width: 1.5;
    stroke-dasharray: 100;
    stroke-dashoffset: 100;
    animation: draw 5s linear forwards, fade 1.5s 4s ease-out forwards;
}

@keyframes draw {
    to {
        stroke-dashoffset: 0;
    }
}

@keyframes fade {
    to {
        opacity: 0;
    }
}

.flash {
    position: fixed;
    width: 0;
    height: 0;
    border-radius: 50%;
    box-shadow: 0 0 20px 5px rgba(255, 255, 255, 0.3),
        0 0 40px 10px rgba(255, 255, 255, 0.1);
    opacity: 0;
    pointer-events: none;
    animation: flash-animation 1s ease-in-out forwards;
    z-index: -1;
}

@keyframes flash-animation {
    0% {
        opacity: 0;
        width: 0;
        height: 0;
    }

    50% {
        opacity: 1;
        width: 10px;
        height: 10px;
    }

    100% {
        opacity: 0;
        width: 0;
        height: 0;
    }
}